[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: libtool, OS X, and GNU ranlib

From: Peter O'Gorman
Subject: Re: libtool, OS X, and GNU ranlib
Date: Thu, 01 Oct 2009 14:21:42 -0500
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20090814 Fedora/3.0-2.6.b3.fc11 Thunderbird/3.0b3

On 09/10/2009 02:04 PM, Ralf Wildenhues wrote:
* Bob Friesenhahn wrote on Thu, Sep 10, 2009 at 08:21:32PM CEST:
On Thu, 10 Sep 2009, Ralf Wildenhues wrote:

IMHO, people installing to /usr need to know what they are doing.

s/need to/should/g


Enabling --program-prefix=g with --prefix=/usr would be quite a surprise
for everyone else who is otherwise familiar with GCS, so I'd prefer not
to go that way.

Right.  I think that it is better for libtool to error out during
configuration if it detects that the user would be destroying the
Apple version.

Yes.  Be sure to not error out in the case that the smart user is cross
compiling for another system from Darwin, or intends to DESTDIR-install
to a staging area, or similar use case that *they* might know to be
sensible but *we* may not.  A warning is of course prudent.  But just to
drive the point home again: this issue is not a bug in Libtool, it is a
user error.  We do not need to fix it.

2009-10-01  Peter O'Gorman  <address@hidden>

        Warn on darwin if install will overwrite /usr/bin/libtool
        * Add warning.


Peter O'Gorman

Attachment: darwarn.patch
Description: Text Data

reply via email to

[Prev in Thread] Current Thread [Next in Thread]